197b:2381 [Acer Aspire 5930] JMicron internal card reader recognizes SD only when inserted at startup

Bug #258446 reported by Bernhard Reiter
152
This bug affects 27 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Nominated for Intrepid by Bernhard Reiter
Nominated for Lucid by Bernhard Reiter

Bug Description

My Acer Aspire 5930G has an internal 5-in-1 card reader. Testing with an SD card (no alternative media available), the reader is only listed by lspci if the SD card is present in the reader at boot time. Boot time dmesg attached.

Now if an SD card was present at boot time, I can remove the SD, and dmesg will report

[ 164.613053] mmc0: card db81 removed

If I reinsert it, dmesg will say

[ 179.271670] mmc0: new SD card at address db81
[ 179.276522] mmcblk0: mmc0:db81 SD512 500224KiB
[ 179.276522] mmcblk0: p1

and gnome will display an SD drive icon on my desktop and ask if any files should be imported.

But nothing of all that happens if the SD card was not already in the card reader at boot time!
---
ApportVersion: 2.14.1-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: bernie 1491 F.... pulseaudio
 /dev/snd/pcmC0D0p: bernie 1491 F...m pulseaudio
CurrentDesktop: Unity
DistroRelease: Ubuntu 14.04
HibernationDevice: RESUME=UUID=4bd38682-1149-4117-8e58-bc8d174dd659
InstallationDate: Installed on 2013-10-20 (194 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MachineType: Acer Aspire 5930
Package: linux (not installed)
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-24-generic root=UUID=a23edec1-cabc-4c0b-bdeb-43a79387ed2e ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-24-generic N/A
 linux-backports-modules-3.13.0-24-generic N/A
 linux-firmware 1.127
Tags: trusty
Uname: Linux 3.13.0-24-generic x86_64
UpgradeStatus: Upgraded to trusty on 2014-04-20 (13 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 06/13/2008
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V1.15
dmi.board.name: Eiger
dmi.board.vendor: Acer
dmi.board.version: Rev
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV1.15:bd06/13/2008:svnAcer:pnAspire5930:pvr0100:rvnAcer:rnEiger:rvrRev:cvnAcer:ct10:cvrN/A:
dmi.product.name: Aspire 5930
dmi.product.version: 0100
dmi.sys.vendor: Acer

Revision history for this message
Bernhard Reiter (ockham-razor) wrote :
Revision history for this message
Bernhard Reiter (ockham-razor) wrote :

lspci -vvnn output with SD card inserted at boot time. Note that all of the JMicron related items are missing if the SD card is only inserted after booting.

Revision history for this message
Bernhard Reiter (ockham-razor) wrote :

Forgot to mention: this is on Intrepid alpha 4 (x86_64), uname -a:

Linux razor 2.6.26-5-generic #1 SMP Sun Aug 10 20:28:44 UTC 2008 x86_64 GNU/Linux

Revision history for this message
Alexander 'gil' Tarasov (alexander.gil.tarasov) wrote :

Acer Aspire 5530, jmb38x, same problem

affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: nobody → Alexander 'gil' Tarasov (alexander.gil.tarasov)
Revision history for this message
Alexander 'gil' Tarasov (alexander.gil.tarasov) wrote :

[~]$ uname -a
Linux gil-laptop 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009 i686 GNU/Linux

Revision history for this message
Benjamin Halbrock (kontakt-bennis-blog) wrote :

same laptop - same problem

[~]$ uname -a
Linux ubuntu-laptop 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux

Revision history for this message
gidantribal (aedo999) wrote :

Please note XD card is not recognized even if you put it at boot...

Revision history for this message
Benjamin Halbrock (kontakt-bennis-blog) wrote :

On
http://www.linlap.com/wiki/acer+aspire+5930
it says
[you have to add “modprobe pciehp” in ”/etc/rc.d/rc.local”]

But I'm not sure where to add "modprobe pciehp"
Is it /etc/rc.d
or
/etc/rc.local

Revision history for this message
Benjamin Halbrock (kontakt-bennis-blog) wrote :

adding it to /etc/rc.local made no change

Revision history for this message
Maykel Moya (mmoyar) wrote :

As per http://packages.ubuntu.com/search?searchon=contents&keywords=pciehp.ko , that module is only available on the -i386 kernel flavour.

Regards,
maykel

Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

The pciehp module is compiled into the kernel for Jaunty:

ogasawara@yoji:~/ubuntu-jaunty/debian/config$ grep -rn "CONFIG_HOTPLUG_PCI_PCIE" *

amd64/config:1103:CONFIG_HOTPLUG_PCI_PCIE=y

i386/config:1175:CONFIG_HOTPLUG_PCI_PCIE=y

lpia/config:1045:CONFIG_HOTPLUG_PCI_PCIE=m

@Benni, since you are the only one who has mentioned using a 2.6.28-11 Jaunty kernel, can you attach the following:

 * sudo lspci -vnvn > lspci-vnvn.log
 * dmesg > dmesg.log

Can you also confirm the original issue mentioned in the bug description:

"the reader is only listed by lspci if the SD card is present in the reader at boot time. Boot time dmesg attached.

Now if an SD card was present at boot time, I can remove the SD, and dmesg will report

[ 164.613053] mmc0: card db81 removed

If I reinsert it, dmesg will say

[ 179.271670] mmc0: new SD card at address db81
[ 179.276522] mmcblk0: mmc0:db81 SD512 500224KiB
[ 179.276522] mmcblk0: p1

and gnome will display an SD drive icon on my desktop and ask if any files should be imported.

But nothing of all that happens if the SD card was not already in the card reader at boot time!
Update description / tags".

Thanks.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Alexander 'gil' Tarasov (alexander.gil.tarasov) wrote :

hello. I'm using Ubuntu Jaunty (9.04), fully-updated..

[~] uname -a
Linux gil-laptop 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009 i686 GNU/Linux

without inserting card at boot time I have:
[~] lspci -vvnn > lspci_-vvnn_[without_card_at_boot].log
[~] dmesg > dmesg_[without_card_at_boot].log
and nothing happens when I'm insert and release card.

with inserted card at boot time I have:
[~] lspci -vvnn > lspci_-vvnn_[with_card_at_boot].log
[~] dmesg > dmesg_[with_card_at_boot].log
and card-reader works fine.

3 comments hidden view all 117 comments
Revision history for this message
Benjamin Halbrock (kontakt-bennis-blog) wrote :

Alexander 'gil' Tarasov was faster :D

Revision history for this message
Alexander 'gil' Tarasov (alexander.gil.tarasov) wrote :

but you have x86_64 :)
post your "lspci -vvnn" & "dmesg" too.

Changed in linux (Ubuntu):
assignee: Alexander 'gil' Tarasov (alexander.gil.tarasov) → nobody
4 comments hidden view all 117 comments
Revision history for this message
gidantribal (aedo999) wrote :

Great, nobody will solve this bug....

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Triaged
Revision history for this message
Marc-André Turcotte (matmat07) wrote :

Try that: http://www.arsgeek.com/2007/04/30/get-your-ricoh-sd-card-reader-working-in-ubuntu/ . I have to find my old file, but I think that's what I did to solve the problem.

Revision history for this message
gidantribal (aedo999) wrote :

the module you posted doesn't work in my case (Aspire 6920G). Same issues as without the module. maybe it's another module?

Revision history for this message
Marc-André Turcotte (matmat07) wrote :

True, it doesn't seem to work anymore.

Revision history for this message
Steven Usdansky (usdanskys) wrote :

The same problem (SD card not recognized if not inserted at boot time) is cropping up on my Acer Aspire One with kernel 2.6.31-1-generic. Note that the problem does not occur with the current Fedora Rawhide kernel (2.6.31-0.38.rc1.git7.fc12.i586)

Revision history for this message
gidantribal (aedo999) wrote :

so a solution is already 'indirectly' available... if fedora kernel has a working SD management...

Revision history for this message
Martin Beltov (mbeltov) wrote :

Is this fixed in karmic?Seems like the problem is coming from the older kernel version.
Fedora uses a newer kernel( I think).
I am experiencing the problem with my Acer 5737Z laptop

Revision history for this message
Igor Golubkov (bctpe4hbiu) wrote :

Same problem with Acer 5730zg laptop...

Revision history for this message
Alexander Hartl (alx321) wrote :

Bug still occurs in karmic (aspire 6920, 2.6.31-6-generic). At least an xd card still isn't recognized, don't have an sd card to try with.

Revision history for this message
gidantribal (aedo999) wrote :

wondering if this bug can be fixed... it's so boring switching to vista just to download content from the xd card..or having to reboot just to do the same it when equipped with SD... :\

Revision history for this message
dream.coder (peter-wilson-uk) wrote :

no it is not fixed in karmic x64 with all latest updates, still same problem card will not mount unless int he slot before booting, dont see why you should have to switch to vista, just reboot with the card inserted bit of extra pain but works until a solution comes along.

Revision history for this message
WaDOS (wados) wrote :

Confirm the same bug on my Acer 5737Z laptop Karmic x64.
[~]# uname -a
Linux acer 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64 GNU/Linux
lspci -vvnn ; dmesg logs attached.

Revision history for this message
WaDOS (wados) wrote :

Here is my lspci -vvnn attached

Revision history for this message
gidantribal (aedo999) wrote :

@dream.coder: and what about XD card (it's not a smile, XD)...? I can only access it through vista...

Revision history for this message
Nuno Lima (nunojorgelima) wrote :

On Acer Aspire 5930G with Ubuntu 9.10 x64 the SD Card Reader don't work.
Hope to get it working on near future ;)

Revision history for this message
Jonathon Fernyhough (jfernyhough) wrote :

Still present in Lucid with 2.6.32-5-generic on amd64.

Revision history for this message
gidantribal (aedo999) wrote :

no way to solve this bug soon...

Revision history for this message
Martin Beltov (mbeltov) wrote :

Confirming that the bug is present in lucid as well

Revision history for this message
Ar Chaz Ouez (vovoxelaqarasecu) wrote :

HP Pavilion DV6 laptop use this card reader.

It's an Amd64 kernel.
      Linux DV6 2.6.31-16-generic #53-Ubuntu SMP Tue Dec 8 04:02:15 UTC 2009 x86_64 GNU/Linux

The bug behaviour is exactly same today.

      0a:00.0 FireWire (IEEE 1394): JMicron Technology Corp. IEEE 1394 Host Controller
      0a:00.1 System peripheral: JMicron Technology Corp. SD/MMC Host Controller
      0a:00.2 SD Host controller: JMicron Technology Corp. Standard SD Host Controller
      0a:00.3 System peripheral: JMicron Technology Corp. MS Host Controller
      0a:00.4 System peripheral: JMicron Technology Corp. xD Host Controller

Hope an issue to this problem ...

37 comments hidden view all 117 comments
Revision history for this message
t.alone.t@gmail.com (t-alone-t) wrote :

My laptop (Compaq CQ41), After upgrade OS to be Ubuntu 11.04.
The problem was solve every thing works find.

Revision history for this message
Alienhunter2010 (acecchin) wrote :

I'm using Aspire 6920, and this was an historical bug. I found a workaround by rebooting with the SD card just on the slot.

BUT now I've upgraded to 11.10 and the workaround does not work anymore!

dmesg does not detect anything after inserting the SD on the slot.

I'm using the 64bit version.

If it is a trouble around kernel setup there is a way to rebuild it with the right module?

Revision history for this message
Hereje Blasfemo (hereje-blasfemo) wrote :

In HP Pavilion dv4-2014la and HP Pavilion dv6-1238es, it seems that is a problem with a BIOS configuration. Disabling the Card Reader Energy Saving in BIOS makes the JMicron card reader works without booting with a card inserted.

Revision history for this message
fortime (palfortime) wrote :

Thanks to Alejandro Martin Jimeno, i finally solve this problem.
i did most as Alejandro Martin Jimeno said.

In 1st step, i created the file "/etc/modprobe.d/aspire-fix-sd-slots.conf", but i just added the content:
options pciehp pciehp_force=1
into it.

In 2nd step, i appended the content:
pciehp
acpiphp
jmb38x_ms
sdhci-pci
to /etc/modules. i think it is used to load the module automatically when the os starts. In my opinion, jmb38x_ms and sdhci-pci are the drivers for JMicron card reader. For my sd card, only if i add sdhci-pci and jmb38x_ms into /etc/modules, the sd card could be detected as soon as the sd card is inserted.

For other cards, like xd, i think you should recompile the modules as the instruction at http://ubuntuforums.org/showthread.php?t=1718934#10, and add these:
flash_bd
xd_card
jmb38x_xd
into /etc/modules.

Revision history for this message
Rob (rob-drrob1) wrote :

I also finally solved this problem, but on an Acer Aspire One AOA150 netbook.
I followed fortime's instructions and these worked for me. The earlier form of these instructions did not work for me.
I only have an sd card to test it; I have not tested with an xd card.

Thanks

Revision history for this message
Rob (rob-drrob1) wrote :

I should have added that this works for me under Ubuntu 12.04

Revision history for this message
Hereje Blasfemo (hereje-blasfemo) wrote :

This bug is fixed for me in Ubuntu 12.04. My computer is HP Pavilion dv4-2014la

Revision history for this message
Frédéric Sallé (salle-frederic) wrote :

The bug is still there for my Acer Aspire 5951 under 12.04, kernel 3.2.0-24-generic-pae.
The PCI slot appears only when booting with a card inserted.
Fortime's workaround didn't work but I have to say that I cannot manually load acpiphp for an unknown reason ...

Revision history for this message
higuita (higuita) wrote :

I too had this problem and manage to solve it with disabling the powersave for the card reader in the bios..., people with problems should try ti

Revision history for this message
ed_qta (eduardo-sotomayor) wrote :

Solved as FORTIME said.
I added all of the following, and after reboot, it showed uSD:

pciehp
acpiphp
jmb38x_ms
sdhci-pci
flash_bd
xd_card
jmb38x_xd

No need to recompile new module

tags: added: intrepid karmic needs-kernel-logs needs-upstream-testing
Revision history for this message
Christopher M. Peñalver (penalvch) wrote : Re: 197b:2381 JMicron internal card reader recognizes SD only when inserted at startup

Bernhard Reiter, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.7-rc1-quantal

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Please let us know your results. Thank you for your understanding.

Helpful Bug Reporting Tips:
https://help.ubuntu.com/community/ReportingBugs

summary: - JMicron internal card reader recognizes SD only when inserted at startup
+ 197b:2381 JMicron internal card reader recognizes SD only when inserted
+ at startup
tags: added: kernel-media lucid
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Revision history for this message
Tasos Gropalis (twilight0) wrote :

Hello, I have the same issues on a Dell XPS L702X laptop and I recently found out in the Ubuntu forums that the following command forces a pci rescan and if a card is inside already then it is recognised. Tested only with an SD card.

echo 1 > /sys/bus/pci/rescan

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Tasos Gropalis, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Revision history for this message
Bernhard Reiter (ockham-razor) wrote :

I frankly didn't feel like testing this again with every new Ubuntu release like I did in the first years (!) after I first posted this bug without any evidence about upstream changes that might have actually solved this issue. However, the upstream bug report linked from this one suggests that kernel 3.12 and later might contain an actual fix for this bug -- that would include Ubuntu 14.04 LTS "Trusty" which is going to include 3.13 (or even 3.14). If someone else affected by this bug and subscribed to this bug report could test it under Trusty because they're already running the development version/Beta, please report here if it's fixed there. (Otherwise, I'm going to upgrade to Trusty shortly after its release and report here if it works for me then.)

Revision history for this message
Bernhard Reiter (ockham-razor) wrote :

Upgraded to Trusty. Still not working.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Bernhard Reiter (ockham-razor) wrote :
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Bernhard Reiter, please execute the following in a terminal:
apport-collect -p linux 258446

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Bernhard Reiter (ockham-razor) wrote : AlsaInfo.txt

apport information

tags: added: apport-collected trusty
description: updated
Revision history for this message
Bernhard Reiter (ockham-razor) wrote : BootDmesg.txt

apport information

Revision history for this message
Bernhard Reiter (ockham-razor) wrote : CRDA.txt

apport information

Revision history for this message
Bernhard Reiter (ockham-razor) wrote : CurrentDmesg.txt

apport information

Revision history for this message
Bernhard Reiter (ockham-razor) wrote : IwConfig.txt

apport information

Revision history for this message
Bernhard Reiter (ockham-razor) wrote : Lspci.txt

apport information

Revision history for this message
Bernhard Reiter (ockham-razor) wrote : Lsusb.txt

apport information

Revision history for this message
Bernhard Reiter (ockham-razor) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
Bernhard Reiter (ockham-razor) wrote : ProcEnviron.txt

apport information

Revision history for this message
Bernhard Reiter (ockham-razor) wrote : ProcInterrupts.txt

apport information

Revision history for this message
Bernhard Reiter (ockham-razor) wrote : ProcModules.txt

apport information

Revision history for this message
Bernhard Reiter (ockham-razor) wrote : PulseList.txt

apport information

Revision history for this message
Bernhard Reiter (ockham-razor) wrote : RfKill.txt

apport information

Revision history for this message
Bernhard Reiter (ockham-razor) wrote : UdevDb.txt

apport information

Revision history for this message
Bernhard Reiter (ockham-razor) wrote : UdevLog.txt

apport information

Revision history for this message
Bernhard Reiter (ockham-razor) wrote : WifiSyslog.txt

apport information

tags: added: bios-outdated-1.23
removed: needs-kernel-logs
summary: - 197b:2381 JMicron internal card reader recognizes SD only when inserted
- at startup
+ 197b:2381 [Acer Aspire 5930] JMicron internal card reader recognizes SD
+ only when inserted at startup
1 comments hidden view all 117 comments
Revision history for this message
Bernhard Reiter (ockham-razor) wrote :

Okay, I'm amazed. Updating the BIOS *did* indeed fix my issue!

Changed in linux (Ubuntu):
status: Incomplete → Invalid
1 comments hidden view all 117 comments
Revision history for this message
Bernhard Reiter (ockham-razor) wrote :

I might've started the party too early.

Now the SD is back to not working unless inserted at startup. Maybe last time I hadn't really shut down but rebooted from a state in which I had the SD inserted before, and that lead to a false positive.

Changed in linux (Ubuntu):
status: Invalid → Confirmed
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Bernhard Reiter, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-3.15-rc4

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: latest-bios-1.23
removed: bios-outdated-1.23
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Bernhard Reiter (ockham-razor) wrote :

Still not fixed in 3.15-rc8.

uname -a
Linux razor 3.15.0-031500rc8-generic #201406012235 SMP Mon Jun 2 02:36:11 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

What I doe see in dmesg after inserting an SDXC card is:

[ 2847.188289] ACPI: \_SB_.PCI0.RP04: ACPI_NOTIFY_BUS_CHECK event
[ 2847.188349] ACPI: \_SB_.PCI0.RP04: Bus check in hotplug_event()

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-3.15-rc8
removed: needs-upstream-testing
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Bernhard Reiter, the latest mainline kernel is currently http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.15-utopic/ .

Displaying first 40 and last 40 comments. View all 117 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.